Internet_Information_Services

Internet Information Service (IIS) 6.0 is a full-featured Web hosting server that leverages interactive applications. IIS 6.0 supports the latest Internet standards, which allows your business to take advantage of the full scope of Internet technologies. IIS 6.0 features increase manageability, reliability, availability, security, and performance of your Web server. You can administer IIS using the user interface, known as the IIS snap-in, or through command line scripts. You can also administer IIS remotely with the help of the Windows® 2000 Terminal Services. IIS 6.0 includes the Active Server Pages (ASP) server-scripting environment for developers who create Web sites and applications. IIS is installed by default on Windows Whistler.


Installing IIS

You can install IIS, add optional components, or remove optional components for IIS by using the Add/Remove Programs dialog box in Control Panel. IIS requires that you install certain software on the computer prior to installation; you should review the IIS Software Checklist below before installing IIS. For more information on IIS, view the IIS online documentation by typing http://localhost/iisHelp/ in your browser address bar, and pressing ENTER.

Notes

  • Running IIS on a Primary Domain Controller (PDC) or Backup Domain Controller (BDC) severely degrades IIS performance due to the networking and processor load used by authentication and other domain controller processes.
  • Adding users to a group that can log on locally reduces the security of the domain controller.

IIS Software Checklist

If it is not already installed on your computer, IIS requires that you install the following prior to installation:

  • The Windows TCP/IP Protocol and Connectivity Utilities. If you are publishing on the Internet, your ISP must provide your server's IP address, subnet mask, and the default gateway's IP address. (The default gateway is the ISP computer through which your computer routes all Internet traffic.)

The following optional components are recommended:

  • The Domain Name System (DNS) service installed on a computer in your intranet. If your intranet is small, you can use Hosts or Lmhosts files on all computers in your network. This step is optional, but it allows users to use friendly text names instead of IP addresses. On the Internet, Web sites typically use DNS. If you register a domain name for your site, users can type your site's domain name in a browser to contact your site.
  • For security purposes, Microsoft recommends that you format all IIS drives with NTFS.
  • Microsoft FrontPage to create and edit HTML pages for your Web site. FrontPage is a WYSIWYG editor that provides a friendly, graphical interface for tasks such as inserting tables, graphics, and scripts.
  • Microsoft Visual InterDev to create and develop interactive Web applications.

For more information on Windows TCP/IP Protocol and Connectivity Utilities, DNS, or NTFS security, see your Windows Whistler online documentation.

IIS Installation

During installation, IIS installs optional components like Common Files, Documentation, and the Internet Information Services snap-in. You can choose not to install the optional components; however, deselecting specific components can decrease IIS functionality or disable IIS services. If you are unfamiliar with the optional components and how they affect IIS, install IIS with the default settings. After you install IIS, you can view Installing IIS Optional Components in the IIS online documentation for more information.

To install IIS, add optional components, or remove optional components

  1. Click Start, click Control Panel, and click Add or Remove Programs.
  2. Click Add/Remove Windows Components. The Windows Components Wizard appears.
  3. Follow the on-screen instructions to install, remove, or add components to IIS.


Accessing the IIS Documentation

IIS provides various ways to access the IIS documentation.

Internet or intranet

If you have IIS installed, you can view the product documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.

Electronic Mail

If you have electronic mail (Simple Mail Transfer Protocol or SMTP) installed, you can view the product documentation by typing file:\\%systemroot%\help\mail.chm in your browser address bar and pressing ENTER.

Newsgroups

If you have newsgroups (Network News Transfer Protocol or NNTP) installed, you can view the product documentation by typing file:\\%systemroot%\help\news.chm in your browser address bar and pressing ENTER.


Testing and Troubleshooting IIS

This topic provides basic procedures to help you test and troubleshoot your IIS Web server installation.

Testing Your Installation

Once you have installed or upgraded to Windows Whistler, you should verify that your IIS server is working correctly.

To test a Web site on your intranet

  1. Open a Web browser, such as Microsoft Internet Explorer.
  2. Type in the URL for the home directory of your server in the Address text box.
    3. The URL is typed in the following format: http://WebSiteName/default.

By default, IIS looks in your home directory for a home page called default.htm, default.asp, or iisstart.asp. If your Web browser returns an error, see Table 1 for troubleshooting suggestions.

To test a Web site on the Internet

You should test your IIS server from a computer that is not on the same local area network (LAN) as the IIS server that you are testing.

  1. Open a Web browser, such as Microsoft Internet Explorer, on a computer that has an active connection to the Internet.
  2. Type the URL for the home directory of your server into the Address text box. The URL is typed in the following format: http://WebSiteName/default.

By default, IIS looks in your home directory for a home page called default.htm, default.asp, or iisstart.asp. If your Web browser returns an error, see Table 1 for troubleshooting suggestions.

Table 1

Error | See Troubleshooting Topic(s)
Cannot find server | Ping your server
The page cannot be displayed | Ping your server and Restarting IIS
Under Construction or The site you are trying to reach does not currently have a default page | Verifying and changing the location of your default Web site content pages

Troubleshooting

This section covers the following topics:

  • Pinging your server
  • Verifying or changing the location of your default Web site content pages
  • Verifying the files

Pinging your server

If your Web browser returned either the Cannot find server error or The page cannot be displayed error, then use the ping command to test for the following:

  • The name resolution server resolves your IIS Web server's name to its IP address
  • Your server responds to network requests from a remote computer

The ping command is used from a command prompt window. Before you can ping your server, you need to determine the server name or its IP address. If you want to ping your server by name and your server is on an intranet, you need to know its NetBios name; if you want to ping your server by name and your server connects to the Internet, you need to know its fully qualified domain name (FQDN).

To determine the NetBios name

  1. From the Start menu, right-click My Computer, and click Properties.
  2. Click the Computer Name property sheet, and click Properties. The Computer name: text box displays your server's NetBios name.

To determine the FQDN name

  1. From the Start menu, right-click My Computer, and click Properties.
  2. Click the Computer Name property sheet. The Full computer name: displays your server's FQDN name.

To determine the IP address

  • Use the ipconfig command from the command prompt on the IIS server. See Related Topics for more information about the ipconfig command.

Important To adequately test network connectivity, it is necessary to ping your server from a remote computer. If you run a ping command from your local server, the ping does not enter the network loops within your local server.

To ping your server by name

If your server is on an intranet, use its NetBios name to ping your server.

  1. From a remote computer, in the command prompt, type ping servername
  2. Press ENTER.

If your server is on the Internet, use its fully qualified domain name (FQDN) to ping your server.

  • From a remote computer, in the command prompt, type ping www.fully_qualified_domain_name.com

After pinging your server, one of the following happens:

  • You receive four replies from the Web server that include the IP address of the server, which indicates that the server is responding to network requests.
  • You receive an error message such as Request timed out or Unknown host.

If you receive a Request timed out error, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. See Related Topics for additional troubleshooting information.

If you receive an Unknown host error, try to ping your server by IP address to determine if you have a name resolution problem.

To ping your server by IP address

  • From a remote computer, in the command prompt, type ping IPaddress

After pinging your server, one of the following happens:

  • You receive four replies from the Web server that include the IP address of the server, which
    • indicates that the server is responding to network requests.
  • You receive an error message such as Request timed out or Unknown host.

If the server responds when you ping its IP address but does not respond when you ping the server name, you have a name resolution problem. Search for the keywords name resolution in the Whistler online help troubleshooting procedures.

If you receive a Request timed out or Unknown host error, the Web server is not responding to network requests or there is some kind of network failure between the remote computer and the server. See Related Topics for additional troubleshooting information.

Verifying and changing the location of your default Web site content pages

If you receive either the Under Construction or The site you are trying to reach does not currently have a default page error, you need to verify and/or change the location of your default Web site. By default, the files for your default Web site are located at x:\inetpub\wwwroot, where x is the drive that Windows Whistler is installed on. For example, if Whistler is installed to your c: drive, the content files for your default home page are stored at c:\inetpub\wwwroot.

Important You need to test the location of your content files from the server that is running IIS.

To determine the location of your default Web site content pages

  1. Open the IIS snap-in.
  2. Open the server node in the left hand region of the IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. Select Default Web Site.
  4. From the Action menu, select Properties.
  5. Select the Home Directory property sheet. The Local Path text box displays the path to your default Web site content pages.

Note If you want to change the local path to your content files, click the Browse button on the Home Directory property sheet or enter a new location in the Local Path text box. Be sure to verify your content files exist in the correct folder. Click the Help button on the Home Directory property sheet for more information.

To verify your content files exist in the correct folder

  • After you have determine the location of your default Web site content files, use Windows Explorer to verify that the files actually exist in the folder that your Web site is configured to use. If your files do not exist in the specified location, use determine the location of your files and update the location of your default Web site content files on the Home Directory property sheet.

Restarting IIS

If you receive a The page cannot be displayed error, you may need to restart IIS if you cannot locate the source of the problem by Pinging your server. Use the IIS snap-in to start or stop any Web site on your IIS server or restart the World Wide Web (WWW) publishing service, which restarts IIS at the server level. When you restart the the WWW Publishing service, all sites running from the designated computer are affected. Before restarting IIS, you must be a member of the Administrator group on the Whistler computer that you wish to administer. For more information about users and groups search for the keyword group in the Whistler online help.

Important You need to restart IIS from the server that is running IIS.

Restarting a Web site

  1. Open the IIS snap-in.
  2. Open the server node in the left hand region of IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. Select the Web site that you want to restart.
  4. From the Action menu, click Stop.
    5. When the site is stopped, you will see (Stopped) next to the site name in the IIS snap-in.
  5. To restart the Web site, from the Action menu, click Start.

Restarting the WWW service

  1. Open the IIS snap-in.
  2. Open the server node in the left hand region of IIS snap-in. An asterisk between the server icon and the server name indicates the local server.
  3. From the Action menu, select Restart IIS.
  4. Select Restart Internet Services on servername, where servername is the name of your server.
  5. Click OK.

Related Topics

  • For information about name resolution, search for the keywords WINS, DNS, NetBios, and name resolution in the Whistler online help.
  • For information about the ping command, search for the keyword ping in the Whistler online documentation.
  • For information about the ipconfig command, search for the keyword ipconfig in the Whistler online help.
  • For information about using Windows Explorer, search for the keyword Windows Explorer in the Whistler online help.
  • For more information about users and groups, search for the keyword group in the Whistler online help.
  • Microsoft Windows 2000 Administrator's Pocket Consultant - ISBN 0-7356-0831-8 Contains information on TCP/IP networking, managing files and directories, managing network administration, and name resolution.
  • The IIS online documentation is available at http://localhost/iisHelp/iis/default.htm


Testing and Troubleshooting IIS

Opening the IIS Snap-in

You can use the IIS snap-in hosted by the Microsoft Management Console (MMC) to verify or change the location of your default Web site as well as many other administrative functions.

  1. Click Start, and click Run.
  2. In the Open: text box, type inetmgr.
  3. Click OK. If the IIS snap-in does not appear, check to make sure you have installed IIS.

Note You must be a member of the Administrator group on the Whistler computer that you wish to administer. For more information about users and groups search for the keyword group in the Whistler online help.